RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

推成绩(批量写入)

POST
/v1/games/{game}/profiles/{profileId}/scores

10 个游戏都支持。单曲评分值由调用方给(maimai/arcaea 例外:服务端算分,rating 无效)。只升不降;单批上限默认 500(硬上限 2000)。

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"
profileId*string
Formatuuid

Request Body

application/json
  1. body
scores*array<>
Items1 <= items <= 2000
idempotencyKey?string
Lengthlength <= 128
confirmationToken?string

仅 428 后原样重放时带

Lengthlength <= 256

Response Body

写入结果(applied/ignored/rating)

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X POST 'https://api.rankhub.cc/v1/games/maimai/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08/scores' \  -H 'Content-Type: application/json' \  -d '{  "scores": [    {}  ]}'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "rating": {      "before": {        "property1": 0,        "property2": 0      },      "after": {        "property1": 0,        "property2": 0      },      "delta": 0    },    "applied": [      {        "songId": "string",        "improved": true,        "currentAchievements": 0      }    ],    "ignored": [      {        "songId": "string",        "reason": "string"      }    ]  },  "requestId": "string"}